TEXI2DVI(1)

NAME
texi2dvi - convert Texinfo documents to DVI or PDF

SYNOPSIS
texi2dvi [OPTION]... FILE...
texi2pdf [OPTION]... FILE...
pdftexi2dvi [OPTION]... FILE...

DESCRIPTION
Run each Texinfo or (La)TeX FILE through TeX in turn until all cross-references are resolved, building all indices. The directory containing each FILE is searched for included files. The suffix of FILE is used to determine its language ((La)TeX or Texinfo). To process (e)plain TeX files, set the environment variable LATEX=tex.

When invoked as `texi2pdf' or given the option --pdf generate PDF output. Otherwise, generate DVI.

  General options:

-D, --debug
    turn on shell debugging (set -x)

-h, --help
    display this help and exit successfully

-o, --output=OFILE
    leave output in OFILE; only one input FILE is allowed

-q, --quiet
    no output unless errors

-v, --version
    display version information and exit successfully

-V, --verbose
    report on what is done

--max-iterations=N
    don't process files more than N times [7]

--mostly-clean
    remove auxiliary files or directories from previous runs (but not the output)

  Output format:

--dvi
    output a DVI file [default]

--dvipdf
    output a PDF file via DVI (using a dvi-to-pdf program)

-p, --pdf
    use pdftex or pdflatex for processing

--ps
    output a PostScript file via DVI (using dvips)

  TeX tuning:

-E, --expand
    macro expansion using makeinfo

-I DIR
    search DIR for Texinfo files

-l, --language=LANG
    specify LANG for FILE, either latex or texinfo

--no-line-error
    do not pass --file-line-error to TeX

--shell-escape
    pass --shell-escape to TeX

--src-specials
    pass --src-specials to TeX

--translate-file=FILE
    use given charset translation file for TeX

-t, --command=CMD
    insert CMD in copy of input file

  Build modes:

--build=MODE
    specify the treatment of auxiliary files [local]

--tidy
    same as --build=tidy

-c, --clean
    same as --build=clean

--build-dir=DIR
    specify where the tidy compilation is performed; implies --tidy

The MODE specifies where the TeX compilation takes place, and, as a consequence, how auxiliary files are treated.

  Valid values of MODE are:

`local'
    compile in the current directory, leaving all the auxiliary files around. This is the traditional TeX use.

`tidy'
    compile in a local *.t2d directory, where the auxiliary files are left. Output files are copied back to the original file.

`clean'
    same as `tidy', but remove the auxiliary directory afterwards. Every compilation therefore requires the full cycle.

The build mode can also be set using the environment variable TEXI2DVI_BUILD_MODE. The tidy build directory can also be set using the environment variable TEXI2DVI_BUILD_DIRECTORY.

The values of these environment variables are used to run the corresponding commands, if they are set:

    BIBER BIBTEX DVIPDF DVIPS EGREP LATEX MAKEINDEX MAKEINFO PDFLATEX PDFTEX SED TEX TEXINDEX TEXINDY THUMBPDF_CMD

Regarding --dvipdf, if DVIPDF is not set in the environment, the following programs are looked for (in this order): dvipdfmx dvipdfm dvipdf dvi2pdf dvitopdf.

If Texinfo is installed on your site, then the command

    info texi2dvi

should give you access to more documentation.

REPORTING BUGS
Report bugs to bug-texinfo@gnu.org, general questions and discussion to help-texinfo@gnu.org.
GNU Texinfo home page: <https://www.gnu.org/software/texinfo/>
General help using GNU software: <http://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2024 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for texi2dvi is maintained as a Texinfo manual. If the info and texi2dvi programs are properly installed at your site, the command

    info texi2dvi

should give you access to the complete manual.